<?php

declare(strict_types=1);

namespace App\Application\Security\Events\Auth;

use App\Application\Security\SecurityEvent;
use App\Application\Security\SecurityEventType;

final class LoginFailed implements SecurityEvent
{
    public function __construct(
        public string $email
    ) {
    }

    public SecurityEventType $type {
        get {
            return SecurityEventType::LOGIN_FAILED;
        }
    }
}
